Subject: Re: bug#67032: 30.0.50; ERC 5.6-git: Treat erc-send-message more responsibly

From: "J.P." <[email-masked]>
Date: Thu, 28 Mar 2024 10:34:50 -0700

"J.P." <[email-masked]> writes:

> One aspect this change should've addressed but didn't was using the
> revived `command-indicator' facility in `erc-load-irc-script-lines' to
> make its output more predictable and consistent with other displayed
> messages. While leaving it to rot would of course be safer, I suspect
> it's rarely used enough to warrant the risk. An ancillary benefit of
> fixing this is that it helps clarify the role of boolean return values
> for `erc-process-input-line', `erc-send-input-line-function',
> `erc-message', and the various `erc-cmd-FOO' slash-command handlers.
> See second patch (lacks tests).

This has been installed as

  a46789b56af * Reuse command-indicator code for script lines in ERC

This bug is already closed.